	SUBROUTINE ZERO
C COPYRIGHT (C) 1983 GLENN EVERHART
C PERMISSION IS GIVEN TO ANYONE TO USE, DISTRIBUTE, OR COPY THIS
C PROGRAM FREELY BUT NOT TO SELL IT COMMERICALLY.
	INCLUDE 'VKLUGPRM.FTN'
C	PARAMETER RRW = 32
C	PARAMETER RCL = 32
C RRW=MAX REAL ROWS
C RCL=MAX REAL COLS
C RRW MUST BE 1 LARGER TO HANDLE 1ST 27 VARIABLES IN AVBLS
C VBLS AND TYPE DIMENSIONED RRW,RCL
C **************************************************
C *                                                *
C *         SUBROUTINE  ZERO                       *
C *                                                *
C **************************************************
C
C
C
C  ZEROS OUT ALL VARIABLES EXCEPT %
C
C
C ZERO CALLS IABS
C
C
C ZERO IS CALLED BY CMND
C
C
C
C   VARIABLE    USE
C
C      I      POINTS TO VARIABLE
C      J      INDEXES DOWN ELEMENTS OF A VARIABLE
C
C
C
C	SUBROUTINE ZERO
C
	InTEgeR*4  TYPE(RRWP,RCLP),VLEN(9)
C
	LOGICAL*1  AVBLS(20,27)
	LOGICAL*1 VBLS(8,RRWP,RCLP)
C
	COMMON  /V/TYPE,AVBLS,VBLS,VLEN
C
C
C
C JUST ZERO THE ACCUMULATORS HERE ... LEAVE REGULAR SHEET STUFF ALONE.
	DO 11 I=1,RRWP
	DO 11 II=1,RCLP
	TYPE(I,II)=IABS(TYPE(I,II))
	DO 11 III=1,8
	VBLS(III,I,II)=0
11	CONTINUE
	DO 1 I=1,27
	DO 1 J=1,20
1	AVBLS(J,I)=0
	RETURN
	END
